Package org.gradle.language.swift

# Interface ProductionSwiftComponent

All Superinterfaces:
  `ComponentWithBinaries`, `ComponentWithDependencies`, `ComponentWithTargetMachines`, `Named`, `ProductionComponent`, `SoftwareComponent`, `SwiftComponent`

All Known Subinterfaces:
  `SwiftApplication`, `SwiftLibrary`

public interface ProductionSwiftComponent extends SwiftComponent, ProductionComponent
Represents a Swift component that is the main product of a project.

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<? extends SwiftBinary>`
  `getDevelopmentBinary()`
  Returns the binary of the component to use as the default for development.

  ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

  `getDependencies`

  ### Methods inherited from interface org.gradle.language.ComponentWithTargetMachines

  `getTargetMachines`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

  ### Methods inherited from interface org.gradle.language.swift.SwiftComponent

  `getBinaries, getImplementationDependencies, getModule, getSource, getSourceCompatibility, getSwiftSource, source`

- ## Method Details

  - ### getDevelopmentBinary

    Provider<? extends SwiftBinary> getDevelopmentBinary()
    Returns the binary of the component to use as the default for development.
    Specified by:
      `getDevelopmentBinary` in interface `ProductionComponent`